Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Property

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_Property

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieProperty

public class S_Property
extends S_TieSystemObject

An S_Property is the server-side representation of a Property.

A Property describes a name/value pair of varying datatype, that can be used for multiple purposes to store iFS values.

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Modifies the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation prior to an insert.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs validation prior to an update .
`AttributeValue` | `getPropertyValue()` Gets the value of the Property.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, extendedPreFree, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Modifies the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. It must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_LibraryObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Gets the value of the Property.
  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs validation prior to an insert.
  Overrides:
    `extendedPreInsert` in class `S_SystemObject`
  Parameters:
    `opState` - current operation state
    `the` - definition of the Property being created
  Throws:
    `IfsException` - (IFS-31600) if no values were specified

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs validation prior to an update .
  Overrides:
    `extendedPreUpdate` in class `S_LibraryObject`
  Parameters:
    `the` - operation state
    `the` - definition of the Property being updated
  Throws:
    `IfsException` - (IFS-31600) if no values were specified

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD